Functions
XQSPI Initialization and de-initialization functions
Peripheral Driver » LL Driver » Defines » Functions

## Functions
SECTION_RAM_CODE error_status_t | ll_xqspi_deinit (xqspi_regs_t *XQSPIx)
| De-initialize XQSPI registers (Registers restored to their default values). More...
SECTION_RAM_CODE error_status_t | ll_xqspi_init (xqspi_regs_t *XQSPIx, ll_xqspi_init_t *p_xqspi_init)
| Initialize XQSPI registers according to the specified parameters in default. More...
SECTION_RAM_CODE void | ll_xqspi_struct_init (ll_xqspi_init_t *p_xqspi_init)
| Set each field of a ll_xqspi_init_t type structure to default value. More...
SECTION_RAM_CODE void | ll_xqspi_set_xip_hp (ll_xqspi_hp_init_t *p_xqspi_hp_init)
| Initialize XQSPI XIP HP mode according to the specified parameters. More...

## Detailed Description

## Function Documentation

## ◆ ll_xqspi_deinit()

SECTION_RAM_CODE error_status_t ll_xqspi_deinit | ( | xqspi_regs_t * | XQSPIx | ) |

De-initialize XQSPI registers (Registers restored to their default values).

Parameters

  XQSPIx | XQSPI instance

Return values

  An | error_status_t enumeration value: SUCCESS: XQSPI registers are de-initialized ERROR: XQSPI registers are not de-initialized

## ◆ ll_xqspi_init()

SECTION_RAM_CODE error_status_t ll_xqspi_init | ( | xqspi_regs_t * | XQSPIx,
|  | ll_xqspi_init_t * | p_xqspi_init
| ) |  |

Initialize XQSPI registers according to the specified parameters in default.

Parameters

  XQSPIx | XQSPI instance
  p_xqspi_init | Pointer to a ll_xqspi_init_t structure that contains the configuration information for the specified XQPSI peripheral.

Return values

  An | error_status_t enumeration value: SUCCESS: XQSPI registers are initialized according to default ERROR: Problem occurred during XQSPI Registers initialization

## ◆ ll_xqspi_set_xip_hp()

SECTION_RAM_CODE void ll_xqspi_set_xip_hp | ( | ll_xqspi_hp_init_t * | p_xqspi_hp_init | ) |

Initialize XQSPI XIP HP mode according to the specified parameters.

Parameters

  p_xqspi_hp_init | Pointer to a ll_xqspi_hp_init_t structure.

Return values

  None |

## ◆ ll_xqspi_struct_init()

SECTION_RAM_CODE void ll_xqspi_struct_init | ( | ll_xqspi_init_t * | p_xqspi_init | ) |

Set each field of a ll_xqspi_init_t type structure to default value.

Parameters

  p_xqspi_init | Pointer to a ll_xqspi_init_t structure whose fields will be set to default values.

Return values

  None |